/* OGMRip - A DVD Encoder for GNOME
 * Copyright (C) 2004-2007 Olivier Rolland <billl@users.sf.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __OGMRIP_PROGRESS_H__
#define __OGMRIP_PROGRESS_H__

#include <gtk/gtk.h>

#include <ogmjob-spawn.h>

G_BEGIN_DECLS

GtkWidget * ogmrip_progress_new       (const gchar *title,
                                       guint       steps);
void        ogmrip_progress_set_spawn (GtkWidget   *dialog,
                                       OGMJobSpawn *spawn,
                                       const gchar *title);

G_END_DECLS

#endif /* __OGMRIP_PROGRESS_H__ */

